vfSetGetSettingsXml = {};

function vfSetGetSettingsXml:loadConfig()
	vfSetGet:setAcceptTxtColor();
	createFolder(getUserProfileAppPath().. "modSettings/");
	createFolder(VehicleFruitHud.settingsDir);
	local file = VehicleFruitHud.settingsDir.. "vehicleFruitHudSettings.xml";
	if not fileExists(file) then
		vfSetGetSettingsXml:saveConfig();
	else
		local Xml = loadXMLFile("VehicleFruitHud_XML", file, "vehicleFruitHudSettings");
		local groupNameTag = ("vehicleFruitHudSettings.global(%d)"):format(0);		
		if getXMLBool(Xml, groupNameTag.. "#isOn") ~= nil then VehicleFruitHud.values.isOn = getXMLBool(Xml, groupNameTag.. "#isOn");end;
		if getXMLBool(Xml, groupNameTag.. "#viewCapacityTotal") ~= nil then VehicleFruitHud.values.viewCapacityTotal = getXMLBool(Xml, groupNameTag.. "#viewCapacityTotal");end;
		if getXMLBool(Xml, groupNameTag.. "#viewFillName") ~= nil then VehicleFruitHud.values.viewFillName = getXMLBool(Xml, groupNameTag.. "#viewFillName");end;
		if getXMLBool(Xml, groupNameTag.. "#viewBestPrice") ~= nil then VehicleFruitHud.values.viewBestPrice.isOn = getXMLBool(Xml, groupNameTag.. "#viewBestPrice");end;
		if getXMLBool(Xml, groupNameTag.. "#txtBold") ~= nil then VehicleFruitHud.values.txtBold = getXMLBool(Xml, groupNameTag.. "#txtBold");end;		
		local txtColor = VehicleFruitHud.values.txtColor;
		if getXMLString(Xml, groupNameTag.. "#txtColor") ~= nil then txtColor = getXMLString(Xml, groupNameTag.. "#txtColor");end;
		if VehicleFruitHud.values.acceptTxtColor[txtColor] ~= nil then VehicleFruitHud.values.txtColor = txtColor;end;
		if getXMLBool(Xml, groupNameTag.. "#viewHorseHud") ~= nil then VehicleFruitHud.values.viewHorseHud = getXMLBool(Xml, groupNameTag.. "#viewHorseHud");end;	
		--if getXMLBool(Xml, groupNameTag.. "#hlDebugMode") ~= nil then VehicleFruitHud.hlDebugMode = getXMLBool(Xml, groupNameTag.. "#hlDebugMode");end;
	end;
	VehicleFruitHud.values.txtSize = g_currentMission.hud.fillLevelsDisplay.fillLevelTextSize; --not active
	VehicleFruitHud.values.txtDefaultColor = FillLevelsDisplay.COLOR.FILL_LEVEL_TEXT;
	if VehicleFruitHud.values.isOn then vfSetGet:resetFillLevelDisplay(true);end;
	if VehicleFruitHud.values.viewHorseHud then vfSetGet:generateDisplay();end;
end;

function vfSetGetSettingsXml:saveConfig()
	createFolder(getUserProfileAppPath().. "modSettings/");
	createFolder(VehicleFruitHud.settingsDir);
	local file = VehicleFruitHud.settingsDir.. "vehicleFruitHudSettings.xml";	
	local Xml = createXMLFile("VehicleFruitHud_XML", file, "vehicleFruitHudSettings");
	local groupNameTag = ("vehicleFruitHudSettings.global(%d)"):format(0);		
	setXMLBool(Xml, groupNameTag.. "#isOn", VehicleFruitHud.values.isOn);
	setXMLBool(Xml, groupNameTag.. "#viewCapacityTotal", VehicleFruitHud.values.viewCapacityTotal);
	setXMLBool(Xml, groupNameTag.. "#viewFillName", VehicleFruitHud.values.viewFillName);
	setXMLBool(Xml, groupNameTag.. "#viewBestPrice", VehicleFruitHud.values.viewBestPrice.isOn);
	setXMLBool(Xml, groupNameTag.. "#txtBold", VehicleFruitHud.values.txtBold);		
	setXMLString(Xml, groupNameTag.. "#txtColor", VehicleFruitHud.values.txtColor);		
	setXMLBool(Xml, groupNameTag.. "#viewHorseHud", VehicleFruitHud.values.viewHorseHud);
	setXMLBool(Xml, groupNameTag.. "#hlDebugMode", VehicleFruitHud.hlDebugMode);		
	saveXMLFile(Xml);
end;

function vfSetGet:setAcceptTxtColor()
	for key, value in pairs (g_currentMission.hl.colorIntern) do
		if value[4] >= 1.00 and not string.find(key, "pulldown") then
			VehicleFruitHud.values.acceptTxtColor[key] = tostring(key);
		end;
	end;		
end;

function vfSetGetSettingsXml:onCloseCallbackGuiMenue()
	
end;

function vfSetGetSettingsXml:onOpenCallbackGuiMenue()

end;

function vfSetGetSettingsXml:onSaveCallbackGuiMenue()
	VehicleFruitHud:saveSettings();
end;
